import request from '@/static/js/request.js'

const apiUri = {
	login: '/auth/mobile',
	nickname: '/auth/nickname',
	check: '/auth/check',
	save: '/user/save',
	mobileAuth: '/auth/mobile/auth',
	nicknameAuth: '/auth/nickname/auth',
}
export function mobileAuth(param) {
	return request.request(apiUri.mobileAuth,'POST', param,false,true,false)
}
export function nicknameAuth(param) {
	return request.request(apiUri.nicknameAuth,'POST', param,false,true,false)
}

export function nickname(param) {
	return request.request(apiUri.nickname,'POST', param,false,true,false)
}
export function login(param) {
	return request.request(apiUri.login,'POST', param,false,true,false)
}
export function check(param) {
	return request.request(apiUri.check,'POST', param,false,true,false)
}
export function save(param) {
	return request.request(apiUri.save,'POST', param,false,true,false)
}